# Uses of Enum Class
org.apache.sling.api.resource.external.URIProvider.Scope

Packages that use URIProvider.Scope
Package
Description
org.apache.sling.api.resource.external

## Uses of URIProvider.Scope in org.apache.sling.api.resource.external

Methods in org.apache.sling.api.resource.external that return URIProvider.Scope
Modifier and Type
Method
Description
`static URIProvider.Scope`
URIProvider.Scope.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static URIProvider.Scope[]`
URIProvider.Scope.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sling.api.resource.external with parameters of type URIProvider.Scope
Modifier and Type
Method
Description
`@NotNull URI`
URIProvider.`toURI(@NotNull Resource resource, URIProvider.Scope scope, URIProvider.Operation operation)`
Return a URI applicable to the defined scope.